Skip to main content
GET
/
Weather
/
{weatherId}
/
Detail
Get weather hourly detail records
curl --request GET \
  --url https://api.plantpredict.terabase.energy/Weather/{weatherId}/Detail \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "weatherId": 123,
    "index": 123,
    "timeStamp": "2023-11-07T05:31:56Z",
    "globalHorizontalIrradiance": 123,
    "diffuseHorizontalIrradiance": 123,
    "directNormalIrradiance": 123,
    "planeOfArrayIrradiance": 123,
    "backsidePlaneOfArrayIrradiance": 123,
    "temperature": 123,
    "windspeed": 123,
    "windDirection": 123,
    "relativeHumidity": 123,
    "dewpoint": 123,
    "pressure": 123,
    "precipitableWater": 123,
    "rainfall": 123,
    "albedoData": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.plantpredict.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.

Path Parameters

weatherId
integer
required

Response

Array of hourly records

id
integer
weatherId
integer
index
integer
timeStamp
string<date-time>
globalHorizontalIrradiance
number
diffuseHorizontalIrradiance
number
directNormalIrradiance
number
planeOfArrayIrradiance
number
backsidePlaneOfArrayIrradiance
number
temperature
number
windspeed
number
windDirection
number
relativeHumidity
number
dewpoint
number
pressure
number
precipitableWater
number
rainfall
number
albedoData
number